package br.com.forlinux.bean;

import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class BuscaISBN {

	public static String buscarISBN(String isbn) {
		String tituloLivro = "isbn inválido";
		Pattern p = Pattern.compile("\\d{1,2}-\\d{3,5}-\\d{3,4}-[0-9xX]{1}");
		Matcher m = p.matcher(isbn);
		boolean isbnfound = m.matches();
		if (!isbnfound) {
			HashMap<String, String> livrofound = (HashMap<String, String>) colecaoLivros();
			tituloLivro = livrofound.get(isbn);

			if (tituloLivro != null) {
				return tituloLivro;
			} else {

				return "isbn inválido";
			}
		}
		return tituloLivro;
	}

	public static Map<String, String> colecaoLivros() {
		HashMap<String, String> livraria = new HashMap<String, String>();
		livraria.put("978-85-7393-922-4", "Guia do exame SCJP");
		livraria.put("978-85-7608-160-9", "Core Java Server Faces - 2");
		livraria.put("978-85-7608-272-9",
				"Java 6 - Fundamentos,Swing, BlueJ e JDBC - 3ª Edição");
		return livraria;
	}

}
