package br.com.forlinux.teste;

import static org.junit.Assert.*;

import java.math.BigDecimal;

import org.junit.Test;

import br.com.forlinux.bean.Investimento;

public class InvestimentoTest {

	@Test
	public void testValorInvestidoEsperado() {
		assertEquals(1010,
				new Investimento().calculaInvestimento(1000,1),0.00001);
	}

	@Test
	public void testValorNEsperado() {
		assertEquals(1000,
				new Investimento().calculaInvestimento(1000,0),0.00001);
	}

	@Test
	public void testValorInvestidoMaisMeses() {
		assertEquals(2040,
				new Investimento().calculaInvestimento(2000,2),0.00001);
		assertEquals(2080,
				new Investimento().calculaInvestimento(2000,
						4),0.0001);
	}
}
